# Generated from skipper-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name skipper

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Container management library
License: MIT
URL: https://github.com/akerl/skipper
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubocop) >= 0.22.0
# BuildRequires: rubygem(rubocop) < 0.23
# BuildRequires: rubygem(coveralls) >= 0.7.0
# BuildRequires: rubygem(coveralls) < 0.8
# BuildRequires: rubygem(rspec) >= 2.14.1
# BuildRequires: rubygem(rspec) < 2.15
# BuildRequires: rubygem(fuubar) >= 1.3.2
# BuildRequires: rubygem(fuubar) < 1.4
BuildArch: noarch

%description
Library for orchestrating Docker containers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/skipper.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.1-1
- Initial package
